import xml.etree.ElementTree as ET
import sys 
import yaml 

fname = sys.argv[1] 
shortname = fname.rsplit('/')[-1].split('.')[0] 
 
tree = ET.parse(fname) 
root = tree.getroot() 
 
filters = {} 
for speaker in root: 
    speakername = speaker.get('location') 
    print(f"Speaker: {speakername}") 
    for filt in speaker: 
        filt_num = filt.get('number') 
        filt_enabled = filt.get('enabled') 
        freq = float(filt.find('frequency').text) 
        gain = float(filt.find('level').text) 
        q = float(filt.find('Q').text) 
        print(f"Filter: {filt_num}, enabled: {filt_enabled}, f: {freq}, Q: {q}, gain: {gain}") 
        filter_name = f"{speakername}_{filt_num}" 
        filtparams = {"type": "Peaking", "freq": freq, "gain": gain, "q": q} 
        filtdata = {"type": "Biquad", "parameters": filtparams } 
        filters[filter_name] = filtdata 
 
config = {"filters": filters} 
print(yaml.dump(config))